<?php
/**
 * Plugin Name: Flex Backgrounds
 * Plugin URI: http://www.flexsqueeze.com
 * Description: Background image add-on pack for FlexSqueeze and Flexibility themes
 * Version: 1.0
 * Author: Advantus Media, Inc.
 * Author URI: http://www.flexsqueeze.com
 */




//*************** Admin function ***************



add_action('admin_menu', 'flexcbi_menu');

function flexcbi_menu() {

  add_submenu_page('themes.php', 'Flex Backgrounds', 'Flex Backgrounds', 'manage_options', 'flex_cbi', 'flex_cbi_options');

}

function flex_cbi_options() {
	


  if (!current_user_can('manage_options'))  {
    wp_die( __('You do not have sufficient permissions to access this page.') );
  }
  
  $options = array (
					
	array(	"type" => "begin"),
	
	array(	"type" => "title",
		  	"title" => "Background Images",
			"descr" => "You can apply new background images to your site by selecting an image from the drop-down below."),
	
	array(  "id" => "flexcbi_bgimage",
		  	"name" => "Images: ",
			"std" => "",
			"folder" => "backgrounds",
			"type" => "images"),

	array(	"type" => "break")

		  
		  )

  ?>

<div class="wrap"> 
  <script type="text/javascript">
Shadowbox.init();
</script>
  <h2>Flex Background Image Pack</h2>
  <p>This plugin allows you to integrate more repeating background images into FlexSqueeze and Flexibility Themes. These images ARE NOT transparent, so you cannot control the background color within the theme options.</p>
  <?php 
  if ($_POST["action"] == "update")  
     {  
              foreach ($options as $value) {
                    update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }

              foreach ($options as $value) {
                    if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }
           echo '<div class="updated"><p><strong>Options Updated</strong></p></div>';
				}
	
	
?>
  <form name="backgroundimages" method="post" action="">
    <input type="hidden" name="action" value="update" />
    <?php 
  $plugin_img = WP_PLUGIN_URL.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__)).'images/';
  
  foreach ($options as $value) { 
  
  if ($value['type'] == "begin") { ?>
    <table class="form-table">
      <tr valign="top">
        <td><?php } 
  
  else if ($value['type'] == "title") { ?>
          <h3><?php echo $value['title']; ?></h3>
          <p><?php echo $value['descr']; ?></p></td>
      </tr>
      <tr>
        <td><?php } 
  
  else if ($value['type'] == "select") { ?>
          <div style="float:left;"><?php echo $value['name']; ?>
            <select name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
              <?php foreach ($value['options'] as $option) { ?>
              <option<?php if ( get_option( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
              <?php } ?>
            </select>
          </div>
          <?php } else if ($value['type'] == "images") { ?>
          <div style="float:left; margin-right:15px;"><?php echo $value['name']; ?>
            <select name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
              <option<?php if (get_option( $value['id'] )== "None" || !get_option( $value['id'])) { echo ' selected="selected"'; }?>>None</option>
              <?php             
		

	$dirPath = dir(WP_PLUGIN_DIR .'/flex-backgrounds/images/'. $value['folder'] . '/');
	$imgArray = array();
	while (($file = $dirPath->read()) !== false)
	{
	  if (substr($file, -3)=="png" || substr($file, -3)=="jpg" || substr($file, -3)=="gif")
	  {
		 $imgArray[ ] = trim($file);
	  }
	}
	$dirPath->close();
	sort($imgArray);
	$c = count($imgArray);
	for($i=0; $i<$c; $i++)
	{
		$imagename = $imgArray[$i];
		if (get_option($value['id']) == $imagename) { 
		$selected='selected=\"selected\"'; 
		} else if (!get_option($value['id'])) { 
			if ($imagename == $value['std']) { 
				$selected='selected=\"selected\"'; } 
		}
		else { $selected = ''; }
		echo "<option value=\"".$imagename."\"" . $selected . ">".$imagename."</option>\n";
		$selected = NULL;
	}
	?>
            </select>
            &nbsp;&nbsp;<a href="<?php echo WP_PLUGIN_URL; ?>/flex-backgrounds/preview.php" rel="shadowbox;height=600;width=980;">Click to preview and select images</a>
          </div>
          <?php } else if ($value['type'] == "text") { ?>
          <div style="float:left;margin-right:15px;"><?php echo $value['name']; ?>
            <input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" style="width:100px;"/>
          </div>
          <?php } else if ($value['type'] == "break") { ?></td>
      </tr>
    </table>
    <?php } ?>
    <?php } ?>
    <table>
      <tr>
        <td><p class="submit">
            <input type="submit" name="Submit" value="Update options" />
          </p></td>
      </tr>
    </table>
  </form>
</div>
<?php
  
}
	
function fcbiload_into_head() { 

echo '<style type="text/css">';
if (get_option('flexcbi_bgimage') != "None") { 
echo '#flex {background-image: url('. WP_PLUGIN_URL; ?>/flex-backgrounds/images/backgrounds/<?php echo get_option('flexcbi_bgimage') . ');background-repeat: repeat;}';
}
echo '</style>';

?>
<?php


} add_action( 'wp_head', 'fcbiload_into_head' );

function flexcbi_admin_init() {

wp_enqueue_script('shadowbox', get_bloginfo('stylesheet_directory') . '/js/shadowbox-3.0.3/shadowbox.js', array('jquery'), '' );
wp_enqueue_style('shadowbox', get_bloginfo('stylesheet_directory') . '/js/shadowbox-3.0.3/shadowbox.css' );


}

add_action( 'admin_init', 'flexcbi_admin_init' );

?>
